Howto d’installation de Thunderbird 3.1 sur Ubuntu

Voici un bref tuto pour l’installation de Thunderbird 3.1 sur Ubuntu.

Il ne semble pas prévu que la dernière version du célèbre client de messagerie de la fondation Mozilla soit intégré à Ubuntu avec la prochaine version majeure.

Vous avez 2 possibilités d’installation, soit via Ubuntuzilla soit via des PPAs.

  1. Avec Ubuntuzilla :
  2. Ajouter les sources :

    echo -e "ndeb  http://downloads.sourceforge.net/project/ubuntuzilla/mozilla/apt all  main" | sudo tee -a /etc/apt/sources.list > /dev/null
    

    Ajouter la clef :

    apt-key adv --recv-keys --keyserver keyserver.ubuntu.com C1289A29
    

    Mettez à jour vos sources :

    aptitude update
    

    Puis installer le build de Thunderbird :

    apt-get install thunderbird-mozilla-build
  3. Via les PPAs :
  4. Ajouter les sources :

    add-apt-repository ppa:ricotz/ppa && sudo apt-get update

    Installer Thunderbird :

    root@laptop:~# aptitude install thunderbird
    Lecture des listes de paquets... Fait
    Construction de l'arbre des dépendances
    Lecture des informations d'état... Fait
    Lecture de l'information d'état étendu
    Initialisation de l'état des paquets... Fait
    Les paquets suivants sont CASSÉS :
    thunderbird-gnome-support thunderbird-locale-fr
    Les paquets suivants seront mis à jour :
    thunderbird
    1 paquets mis à jour, 0 nouvellement installés, 0 à enlever et 2 non mis à jour.
    Il est nécessaire de télécharger 11,1Mo d'archives. Après dépaquetage, 1 257ko seront utilisés.
    Les paquets suivants ont des dépendances non satisfaites :
    thunderbird-gnome-support: Dépend: thunderbird (= 3.0.6+build2+nobinonly-0ubuntu0.10.04.1) mais 3.1.1+nobinonly-0ubuntu1~10.04~ricotz1 doit être installé.
    thunderbird-locale-fr: Est en conflit avec: thunderbird (> 3.1~a1) mais 3.1.1+nobinonly-0ubuntu1~10.04~ricotz1 doit être installé.
    Les actions suivantes permettront de résoudre ces dépendances :
    
    Supprimer les paquets suivants :
    thunderbird-locale-fr
    
    Mettre à jour les paquets suivants :
    thunderbird-gnome-support [3.0.6+build2+nobinonly-0ubuntu0.10.04.1 (lucid-updates, lucid-security, now) -> 3.1.1+nobinonly-0ubuntu1~10.04~ricotz1 (lucid)]
    
    Le score est de 189
    
    Accepter cette solution ? [Y/n/q/?]

    Dites Yes bien sur.

  5. Franciser l’interface :
  6. Télécharger et installer l’extension pour le Français : fr.xpi pour la version avec Ubuntuzilla, la prise en compte ne fonctionne pas très bien chez moi.

    Pour le dictionnaire Français moderne : Dictionnaire Français

A savoir qu’avec la méthode Ubuntuzilla, vous aurez Thunderbird 3.1.2 alors qu’avec la version PPA vous aurez pour l’instant la version 3.1.1
Libre à vous de choisir ce qui vous convient le mieux 😉 Vous pouvez aussi installer les deux :

root@pydubreucq-laptop:~# dpkg -l | grep thunderbird
ii  thunderbird                           3.1.1+nobinonly-0ubuntu1~10.04~ricotz1          mail/news client with RSS and integrated spa
ii  thunderbird-gnome-support             3.1.1+nobinonly-0ubuntu1~10.04~ricotz1          Support for Gnome in Mozilla Thunderbird
ii  thunderbird-mozilla-build             3.1.2-0ubuntu1                                  Mozilla Thunderbird, official Mozilla build,

Liens utiles :

Site officiel de Mozilla Messaging

Liste des fonctionnalités de Thunderbird

Author: Pierre-Yves Dubreucq

Passioné par les logiciels libres depuis 2001, je suis responsable d’Odiso (hébergeur web spécialiste des infrastructures haute disponibilité e-commerce et en gestion de pics de trafic & webperf) je tiens ce blog depuis 9 ans avec beaucoup moins d’assiduité malheureusement qu’à ses débuts, car j’écris aussi sur MonSiteEstLent.com blog d’Odiso dédié à la webperf

Share This Post On

5 Comments

  1. C’est super mais le miens reste en anglais et pas moyen de la franciser car apparemment il n’y a pas encore le module pour 3.1.2 alors que il existe en français. le problème c’est qu’en maitrisant pas bien l’installation sous forme d’archive j’en reste là. Merci de votre aide

    Post a Reply
  2. Bonjour,

    Le tuto ne fonctionne pas.

    Via les PPAs :

    « Error: must run as root »

    j’ai essayé en root:

    « *** Interpreter error recovered *** »

    ???

    la première méthode ne donne tout simplement rien…

    Dur dur Linux quand on est un newbee…

    Post a Reply
  3. Bien le bonjour,
    Ton erreur de la méthode via les PPAs indique que tu as lancé la commande dans les droits root (administrateur) mais ça tu l’avais compris 😉
    Lorsque tu te mets en root, lui précises-tu bien de récupérer les variables d’environnement de root ?
    Pour cela il te faut en te logguant en root utiliser le tiret comme ci-dessous :
    sudo su –
    Avec la première méthode, attention l’exexcutable n’est pas thunderbird, mais ça n’a pas le même nom…
    Par contre, désolé, je ne me rappelle plus, je suis désormais du nom de l’exécutable…
    C’est quoi ta distribution ?
    En effet, c’est pas toujours évident de commencer avec GNU/Linux, dis toi que c’était pire avant 😉 Mais surtout que tu deviens maître de ton environnement en respectant les libertés de chacun…
    Et ça en effet, ce n’est pas facile d’y arriver 😉
    N’hésites pas en tous cas
    Bonne journée

    Post a Reply

Submit a Comment

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *